View Issue Details

IDProjectCategoryView StatusLast Update
0002709Far ManagerMacropublic2014-07-14 17:39
ReporterJohnDoeAssigned ToDrKnS 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002709: Запрос привилегий администратора может быть невидим если вызван макросом
DescriptionПредлагаю временно снимать запрет вывода на экран пока активен запрос привилегий администратора.
Нет никакого смысла скрывать вывод, т.к. обработать этот диалог макросом невозможно by design.
Steps To ReproduceКурсор на папке "System Volume Information", из командной строки запускаю lua:Keys"Enter".
Запрос повышения привилегий выводится невидимым.
TagsNo tags attached.
Build4000

Activities

shmuel

2014-06-17 12:10

developer   bugnote:0012517

Last edited: 2014-06-17 12:13

View 2 revisions

Решением данной проблемы является снятие запрета на перерисовку экрана перед выводом диалога запроса привилегий. С точки зрения макросистемы, запоминать и восстанавливать состояние запрета на перерисовку не требуется. То-есть нужно добавить в месте вызова диалога (или в его конструкторе) только одну строчку кода. Я этого не делаю, т.к. работаю с XP, и у меня этот диалог никогда не появляется. Пусть кто-нибудь другой из разработчиков это сделает и протестирует.

Это не проблема макросистемы, это проблема не совсем корректного её отключения.

JohnDoe

2014-06-17 12:12

updater   bugnote:0012518

На XP диалог тоже появляется, попробуйте войти в System Volume Information

shmuel

2014-06-17 12:16

developer   bugnote:0012519

Вы правы. Но мой предыдущий пост в целом остаётся в силе.

DrKnS

2014-07-14 15:40

administrator   bugnote:0012741

4000

JohnDoe

2014-07-14 17:39

updater   bugnote:0012742

Порядок

Issue History

Date Modified Username Field Change
2014-06-16 23:18 JohnDoe New Issue
2014-06-17 12:10 shmuel Note Added: 0012517
2014-06-17 12:12 JohnDoe Note Added: 0012518
2014-06-17 12:13 shmuel Note Edited: 0012517 View Revisions
2014-06-17 12:16 shmuel Note Added: 0012519
2014-07-14 15:40 DrKnS Note Added: 0012741
2014-07-14 15:40 DrKnS Assigned To => DrKnS
2014-07-14 15:40 DrKnS Status new => feedback
2014-07-14 17:39 JohnDoe Note Added: 0012742
2014-07-14 17:39 JohnDoe Status feedback => assigned
2014-07-14 17:39 DrKnS Build => 4000
2014-07-14 17:39 DrKnS Status assigned => closed
2014-07-14 17:39 DrKnS Resolution open => fixed
2014-07-14 17:39 DrKnS Fixed in Version => 3.0